#!/usr/bin/env python
# -*- coding: UTF-8 -*-

#Cterm启动时自动执行的文件

import CTerm
import os
#from runpy import run_module

#onstart.lst是启动时执行的模块列表
scriptdir=CTerm.GetScriptDir()+"\\"
f=open( scriptdir + 'onstart.lst' )
d=f.read().split('\n')
f.close()

for s in d:
	if s:
		print s
		try:
			execfile( scriptdir + s )
		except Exception, errinfo:
			print "execfile error: " + s
			print errinfo